The ReflectionZendExtension class

- « ReflectionEnumBackedCase::getBackingValue

- ReflectionZendExtension::__clone »

- PHP Manual
- Reflection
- The ReflectionZendExtension class

# The ReflectionZendExtension class

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

## Introduction

## Class synopsis

class ReflectionZendExtension implements Reflector {
/* Properties */
public string $name;
/* Methods */
public __construct(string `$name`)
private __clone(): void
public static export(string `$name`, bool `$return` = ?): string
public getAuthor(): string
public getCopyright(): string
public getName(): string
public getURL(): string
public getVersion(): string
public __toString(): string
}

## Properties

name

  Name of the extension. Read-only, throws ReflectionException in attempt to write.

## Changelog

Version | Description
--- | ---
8.0.0 | ReflectionZendExtension::export() was removed.

## Table of Contents

- ReflectionZendExtension::__clone — Clone handler
- ReflectionZendExtension::__construct — Constructs a ReflectionZendExtension object
- ReflectionZendExtension::export — Export
- ReflectionZendExtension::getAuthor — Gets author
- ReflectionZendExtension::getCopyright — Gets copyright
- ReflectionZendExtension::getName — Gets name
- ReflectionZendExtension::getURL — Gets URL
- ReflectionZendExtension::getVersion — Gets version
- ReflectionZendExtension::__toString — To string handler